LibreOffice: XModuleManager Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XModuleManager Interface Reference

can be used to identify office modules. More...

`import "XModuleManager.idl";`

Inheritance diagram for XModuleManager:

## Public Member Functions
string | identify ([in] ::com::sun::star::uno::XInterface Module) raises (::com::sun::star::lang::IllegalArgumentException, UnknownModuleException )
| identifies the given module.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

can be used to identify office modules.

Since
  OOo 2.0

## Member Function Documentation

## ◆ identify()

string identify | ( | [in] ::com::sun::star::uno::XInterface | Module | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | UnknownModuleException ) |  |  |

identifies the given module.

This identifier can then be used at the service ModuleManager to get more information about this module.

For identification the interface com::sun::star::lang::XServiceInfo is requested on the given module. Because all module service registrations must be unique this value can be queried and checked against the configuration.

Since OOo 2.3.0 also the optional interface XModule will be used. If it exists it will be preferred.

Parameters

  Module | Possible objects for this parameter can be the following one: com::sun::star::frame::XFrame A frame contains (against a component window) a controller. Such controller represent the module (in case no model exists). com::sun::star::frame::XController A controller can be bound to a model. Then the model represent the module. If no model exists - the controller is used for identification. com::sun::star::frame::XModel A model represent a module every time and can be used for identification directly.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the parameter Module is: an empty one or does not provide one of the needed interface XFrame, XController, XModel or does not provide the needed interface XServiceInfo.
  UnknownModuleException | if the given module could not be identified. Note: If the module represent a XFrame instance with does not contain a document, this exception is thrown too!

Returns
  An identifier for the given module. Note: This value varies every time. Error will be transported by thrown exceptions!

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XModuleManager.idl